import java.awt.*;
import java.io.*;
import java.lang.*;
import javax.swing.*;

public class yazitesti extends JApplet {
    String myFile = "yazitesti.txt";
    File f = new File(myFile);
    PrintWriter dos;

  public void paint(Graphics g) {
	try {
      dos=new PrintWriter(new BufferedWriter(new FileWriter(myFile)));
      dos.println("bu yazı deneme amacıyla dosya yazitesti.txt içine Appletden yazıldı\n");
	    dos.close();
      g.drawString("Yazım işlemi başarı ile gerçekleşti : " + myFile + " -- dosyasını açıp bakabilirsiniz ", 10, 10);
	}
	catch (SecurityException e) {
	    g.drawString("yazitesti: güvenlik kontrolu aşılamadı (güvenik hatası) : " + e, 10, 10);
        }
	catch (IOException ioe) {
		  g.drawString("yazitesti: giriş çıkış hatası", 10, 10);
        }
   }
}

